﻿.loading-bar {
    background-color: white;
    box-shadow: 0 1px 3px rgba(0,0,0,0.2);
    height: 6px;
    left: calc(50% - 250px);
    overflow: hidden;
    position: absolute;
    top: calc(50% - 3px);
    width: 500px;
}

    .loading-bar::after {
        animation: progressbar-slide 1s infinite;
        animation-timing-function: ease-in-out;
        background-color: #107dac;
        content: '';
        display: block;
        height: 1000%;
        width: 200px;
    }

@keyframes progressbar-slide {
    0% {
        transform: translateX(-200px);
    }

    70%, 100% {
        transform: translateX(500px);
    }
}

.loading {
    animation: loading-entry 5s; /*animacion*/
    background-color: rgba(0,0,0,0.2);
    bottom: 0;
    display: flex;
    left: 0;
    position: fixed;
    right: 0;
    top: 0;
    z-index: 2000; /*hasta en frente*/
}

/*animacion tipo fade*/
@keyframes loading-entry {

    0% {
        opacity: 1;
    }

    100% {
        opacity: 1;
    }
}